QGIS Application - Feature request #4332
Add an option "set project CRS from first loaded layer"
2011-09-28 03:41 AM - Jonathan Moules

Status: Closed

Priority: Low

Assignee:

Category:

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 14269
Description

I load QGIS with a new project. | then add a file with a projection of OSGB (EPSG: 27700). What | believe should happen is that as this is
the first file to be loaded into the project, it should automatically pick up this projection and make it the default projection for this project.

History

#1 - 2011-10-02 05:29 AM - Giovanni Manghi
- Status changed from Open to Closed

- Resolution set to wontfix

QGIS is more flexible: you can set the behavior for new projects CRSs and layers without a explicit CRS in the QGIS general properties. Moreover after
loading a layer you can right click on it in the TOC and select "set layer CRS as project CRS".

#2 - 2011-10-03 01:56 AM - Jonathan Moules

It may be more flexible, but | think it's significantly less user friendly. This combined with my other projection ticket (4333) add a lot of complexity to
something that should be simple.
The very first line of the qgis homepage is: "Quantum GIS (QGIS) is a user friendly ..."

| know about the "set layer CRS as project CRS" button however:
What's a "CRS"? Yes | know (actually | don't know what it stands for [Coordinate Reprojection System?], but | know what it is) and you know, but would a

non-expert user?

At the very least | believe there should an option "load CRS from first layer" and that option should be default. Part of being "user friendly" isn't just having
pretty buttons and a decent help manual (both of which are rare enough in Open Source), but also having default options that will allow a new user to hit the
ground running. And because they're options, the pro-user can turn them off if they want.

#3 - 2011-10-03 02:45 AM - Giovanni Manghi
- Operating System deleted (Windows)

- Resolution deleted (wontfix)

- OS version deleted (1.7.0)

- Priority changed from Normal to Low

- Status changed from Closed to Open

- Subject changed from Default Projection to Add an option "set project CRS from first loaded layer"

It may be more flexible, but | think it's significantly less user friendly. This combined with my other projection ticket (4333) add a lot of complexity to
something that should be simple.

2025-04-27 1/3




The #4333 "issue" is not an issue at all: the CRSs (coordinate reference system, the acronym makes perfectly sense, for example more than many terms
used in Arc* software). The CRSs available in QGIS come from an updated DB, so old definitions (the ones we all have in our data) are added
automatically as custom CRSs.
In QGIS all the layers are reprojected in the project CRS, to do that you have to enable on the fly reprojection.
The very first line of the qgis homepage is: "Quantum GIS (QGIS) is a user friendly ..."
And it is, at least if you accept the feedback of most of the people that started using it. The fact that does not behave always as Arc* (or other sw) does not
mean is less user friendly.
I know about the "set layer CRS as project CRS" button however:
What's a "CRS"? Yes | know (actually | don't know what it stands for [Coordinate Reprojection System?], but | know what it is) and you know, but
would a non-expert user?

see above

At the very least | believe there should an option "load CRS from first layer" and that option should be default.

| can't see this huge difference. In QGIS now:

options -> CRS -> default Coordinate Reference System for new projects

check "enable on the fly reprojection by default"

and set "always start new projects with this CRS" to whatever fits better for you.

If then you need a project in a different CRS than set it manually (in project properties) or use the "set layer CRS as project CRS" after loading a layer.

a decent help manual (both of which are rare enough in Open Source)

People tend to forget they can contribute to make things better. This useful discussion is an example.

I'll reopen this ticket, changing the title, as seems to me a suggestion that makes sense overall.

#4 - 2011-10-03 03:53 AM - Borys Jurgiel

See also #2093. Probably we can close this one as a duplicate now.

#5 - 2011-10-03 03:56 AM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Open to Closed

Borys Jurgiel wrote:

See also #2093. Probably we can close this one as a duplicate now.
agree, duplicate of #2093. Please add further considerations/comments to the older ticket.

#6 - 2011-10-03 04:12 AM - Jonathan Moules

The #4333 "issue" is not an issue at all: the CRSs (coordinate reference system, the acronym makes perfectly sense, for example more than many

terms used in Arc* software).

You're right in that ArcGIS uses many of it's own terms that don't make immediate sense, but | have to respectfully disagree: an acronym never makes
sense unless it's a well-known one such as "GPS" or "NASA". "CRS" is specific to the field and again, while an expert will likely know it, many regular
GlSers won't.

And it is, at least if you accept the feedback of most of the people that started using it. The fact that does not behave always as Arc* (or other sw)

does not mean is less user friendly.

| can give you an anecdote here. | have a colleague who, after seeing me use QGIS here wanted to try it at home. He's been doing GIS for countless years
and can use all of ArcGIS, Maplinfo and CadCorp's MapModeller to a good level. But when he tried adding data (OS VectorMap District | believe) he had
the projection issues I've highlighted here. The scale was all wrong, etc. | had to walk him through how to set the CRS properly. Now obviously he's more
used to using the aforementioned proprietary systems, but it should still have been simple enough to use that he could figure out how to do something as
simple as add data and get it showing correctly.

| | can't see this huge difference. In QGIS now:

| options -> CRS -> default Coordinate Reference System for new projects

| check "enable on the fly reprojection by default"

| and set "always start new projects with this CRS" to whatever fits better for you.

The problem there is that you've got a new user and you're expecting them to instantly start playing with settings hidden away in the options menu. Some
people (myself included) do start playing with a new program by looking in the options menu, but we're the exception. Most people just want stuff to work,
and just because they're using a GIS doesn't mean the user is technical (the vast majority aren't in my experience).

People tend to forget they can contribute to make things better. This useful discussion is an example.

Yep. My own contributions come in the form of bug reporting and identifying small features that | believe would make life easier for the users. Some
projects don't like to accept either, but I'm quite impressed by QGIS so far.
